#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"どの料理のレシピが知りたいですか?"
puts"1:玉こん"
puts"2:内陸風芋煮"
puts"3:内陸風芋煮"
puts"4:だし"

while true
  print"作りたい料理の番号(半角数字)を入力してください。"
  kotae = gets.to_i
  if kotae == 1
    puts IO.readlines("tamakon.txt").join
  elsif kotae == 2
    puts IO.readlines("imoni_nairiku.txt").join
  elsif kotae == 3
    puts IO.readlines("imoni_shounaihuu.txt").join
  elsif kotae == 4
    puts IO.readlines("dashi.txt").join
  else
    puts "その選択肢はありません"
    redo
  end
  break
end
